"use client"

import axios from "axios"
import { useState, useEffect } from "react"
import { AxiosError } from "axios"
import { useRouter } from "next/navigation"
import { IsLoggedIn } from "@/lib/auth"

interface UserResponse {
  user: string | null
  error: AxiosError | null
}
export default function DashboardLayout({
  children,
}: {
  children: React.ReactNode
}) {
  const [isSuccess, setIsSuccess] = useState<boolean>(false)

  const router = useRouter()

  useEffect(() => {
    ;(async () => {
      if (!await IsLoggedIn()) {
        router.push("/")
        return
      } // if error duid not happen everything is alright

      setIsSuccess(true)
    })()
  }, [router])
  if (!isSuccess) {
  }
  return <main>{children}</main>
}
