export const ARTEMIS_CHUNITHM_SUN = 13;
export const ARTEMIS_CHUNITHM_SUN_PLUS = 14;
export const ARTEMIS_CHUNITHM_LUMINOUS = 15;

export const SUPPORTED_VERSIONS = [
    ARTEMIS_CHUNITHM_SUN,
    ARTEMIS_CHUNITHM_SUN_PLUS,
    ARTEMIS_CHUNITHM_LUMINOUS,
];

/**
 * This follows the version IDs set out by [ARTEMiS](https://gitea.tendokyu.moe/Hay1tsme/artemis/src/branch/master/docs/game_specific_info.md#chunithm).
 */
export const ARTEMIS_CHUNITHM_VERSION = ARTEMIS_CHUNITHM_SUN_PLUS;
