import CharacterCard from "@/components/CharacterCard"
import NavigationBar from "@/components/shared/NavigationBar/NavigationBar"
import ScoreCardList from "@/components/PlayerScoreGrid"
import PlayerBestTopScores from "@/components/PlayerTopBestScores"
export default function Chunithm() {
  return (
    <div className="min-h-screen bg-background overflow-hidden">
      <NavigationBar />
      <div className="flex w-full flex-col lg:w-3/4 lg:flex-row xl:w-4/5">
        <div className="pl-2">
          <PlayerBestTopScores />
        </div>
        <div className="p-4">
          <CharacterCard />
          <ScoreCardList />
        </div>
      </div>
    </div>
  )
}
