import SettingsPage from "@/components/PlayerSettings"
import NavigationBar from "@/components/shared/NavigationBar/NavigationBar"
export default function Settings() {
  return (
    <div className="min-h-screen bg-background p-2">
      <NavigationBar />
      <div className="mt-2 flex flex-col gap-4 md:gap-6 lg:flex-row lg:gap-8">
        <div className="w-full lg:w-1/4 xl:w-1/5">
          <SettingsPage />
        </div>
      </div>
    </div>
  )
}
